Author Topic: (vlax-curve-getpointatparam haupt_achse 0) -> nil?  (Read 189 times)

0 Members and 1 Guest are viewing this topic.

Peter2

  • Bull Frog
  • Posts: 457
(vlax-curve-getpointatparam haupt_achse 0) -> nil?
« on: August 07, 2017, 04:08:59 am »
I supposed that the "param 0" would return the starting point of my curve - but it returns nil. The end-param (9 in my example) returns the endpoinbt, and the "dist 0" returns also the starting point. Can it be explained why the "start parameter 0" returns nil instead of the starting point???

Code - Auto/Visual Lisp: [Select]
  1. nil
  2.  
  3. Befehl: (vlax-curve-getpointatparam haupt_achse 9)
  4. (811474.0 184382.0 0.0)
  5.  
  6. Befehl: (vlax-curve-getpointatparam haupt_achse 0.000001)
  7. (811350.0 184319.0 0.0)
  8.  
  9. Befehl: (vlax-curve-getpointatdist haupt_achse 0.00000)
  10. (811350.0 184319.0 0.0)
  11.  
Peter

AutoCAD 2016 - 2018 German (so some technical terms will be badly retranslated to English)
Civil 3D 2017 - 2018

roy_043

  • Swamp Rat
  • Posts: 1480
  • BricsCAD 16
Re: (vlax-curve-getpointatparam haupt_achse 0) -> nil?
« Reply #1 on: August 07, 2017, 04:27:23 am »
Move the object closer to the origin and repeat the test.

Peter2

  • Bull Frog
  • Posts: 457
Re: (vlax-curve-getpointatparam haupt_achse 0) -> nil?
« Reply #2 on: August 07, 2017, 04:59:27 am »
Although this could only be an experimental solution - I still get nil
Peter

AutoCAD 2016 - 2018 German (so some technical terms will be badly retranslated to English)
Civil 3D 2017 - 2018

roy_043

  • Swamp Rat
  • Posts: 1480
  • BricsCAD 16
Re: (vlax-curve-getpointatparam haupt_achse 0) -> nil?
« Reply #3 on: August 07, 2017, 09:12:53 am »
What does this return?:
Code - Auto/Visual Lisp: [Select]
« Last Edit: August 07, 2017, 09:16:07 am by roy_043 »

Peter2

  • Bull Frog
  • Posts: 457
Re: (vlax-curve-getpointatparam haupt_achse 0) -> nil?
« Reply #4 on: August 07, 2017, 11:11:35 am »
0.00000000
Peter

AutoCAD 2016 - 2018 German (so some technical terms will be badly retranslated to English)
Civil 3D 2017 - 2018

roy_043

  • Swamp Rat
  • Posts: 1480
  • BricsCAD 16
Re: (vlax-curve-getpointatparam haupt_achse 0) -> nil?
« Reply #5 on: August 07, 2017, 12:33:59 pm »
The issue is of course: Zero? Or almost zero?

But from a discussion with Bricsys I know that the AutoCAD curve functions can produce unexpected results.
I suggest you create a workaround.

Lee Mac

  • Seagull
  • Posts: 11800
  • AutoCAD 2015 Windows 7 London, England
Re: (vlax-curve-getpointatparam haupt_achse 0) -> nil?
« Reply #6 on: August 07, 2017, 01:05:19 pm »
How about:
Code - Auto/Visual Lisp: [Select]

ribarm

  • Water Moccasin
  • Posts: 1687
  • Marko Ribar, architect
Re: (vlax-curve-getpointatparam haupt_achse 0) -> nil?
« Reply #7 on: August 07, 2017, 01:20:26 pm »
Code - Auto/Visual Lisp: [Select]

That's the same as just :

Code - Auto/Visual Lisp: [Select]
Marko Ribar, d.i.a. (graduated engineer of architecture)

:)

M.R. on Youtube